@use "@/theme/base.scss";

.match {
}

// Wrapper for container of all game cards
.cards {
  @include base.mq($from: desktop) {
    min-width: 400px;
    max-width: 50%;
  }

  @include base.mq($until: tablet) {
    width: 100%;
    max-width: initial;
    --card-width: calc(50vw - 2 * var(--spacing));
  }

  display: flex;
  flex-direction: column;
  gap: var(--spacing);
  margin-bottom: var(--spacing);
}

.pickbansArea {
  @include base.mq($until: desktop) {
    display: flex;
    flex-direction: column;
  }
  @include base.mq($from: desktop) {
    display: flex;
    flex-direction: row;
    gap: var(--spacing);
  }
}

.pickbanSteps {
  flex: 1;
  border-radius: var(--border-radius);
  overflow-y: scroll;
}

.pickbanStep {
  &:nth-child(odd) {
    background-color: var(--table-row-stripped-background-color);
  }
  &:not(:first-of-type) {
    border-top: var(--border-width) solid var(--table-border-color);
  }
  padding: calc(var(--spacing) / 2) var(--spacing);
  transition: 250ms background-color, 250ms box-shadow;
  box-shadow: 0 0 0 rgba(0, 0, 0, 0);
  &[data-tag="next"] {
    @include base.elevated;
    border-radius: var(--border-radius);
    border: var(--border-width) solid var(--table-border-color);
    background-color: var(--box-background-color);
    font-weight: bold;
    + .pickbanStep {
      --table-border-color: rgba(0, 0, 0, 0);
    }
  }
  &[data-tag="pending"] {
    opacity: 0.66;
  }
}
